## pystiebeleltron 0.1.1

=== requirements.txt ===
pymodbus>=3.1.0

=== debian/changelog ===
pystiebeleltron (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1108545)

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 22:25:12 +0100

=== debian/control ===
Source: pystiebeleltron
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pymodbus <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/ThyMYthOS/python-stiebel-eltron
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pystiebeleltron
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pystiebeleltron.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pystiebeleltron
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for interacting with the Stiebel Eltron ISG web gateway via Modbus
 This library provides a Python interface to communicate with the Stiebel
 Eltron ISG web gateway utilizing the Modbus protocol. It facilitates the
 monitoring and control of integral ventilation units and heat pumps
 manufactured by Stiebel Eltron. By employing the Modbus protocol, the library
 allows users to access various functionalities of Stiebel Eltron devices, such
 as adjusting heating and ventilation settings. These interactions occur over a
 network connection to the ISG WEB, enabling operations such as retrieving
 temperature settings or updating device configurations. Designed to work with
 devices like the LWZ504e and LWZ304, this library extends connectivity and
 management capabilities for supported Stiebel Eltron hardware through its
 structured API.

## pystiebeleltron 0.2.0

=== debian/changelog ===
pystiebeleltron (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched to pyproject.toml and the hatchling build system.
  * Add new test dependencies on python3-pytest-mock and
    python3-pytest-asyncio.
  * Add wpm-example.py to examples.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 10:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 Build-Depends-Indep:
+ python3-pymodbus <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pymodbus <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-mock <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/ThyMYthOS/python-stiebel-eltron

=== debian/watch ===
version=4
https://github.com/ThyMYthOS/python-stiebel-eltron/tags .*/v?(\d\S+)\.tar\.gz
